org.jgrapht.experimental.dag

## Class DirectedAcyclicGraph.Region

- java.lang.Object
- - org.jgrapht.experimental.dag.DirectedAcyclicGraph.Region

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    DirectedAcyclicGraph<V,E>

      public static class DirectedAcyclicGraph.Region
      extends Object
      implements Serializable

  Region is an *inclusive* range of indices. Esthetically displeasing, but convenient for our purposes.
  Author:
    gilesp
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `finish`
    `int` | `start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectedAcyclicGraph.Region(int start, int finish)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSize()`
    `boolean` | `isIn(int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### start

          public final int start

    - #### finish

          public final int finish

  - ### Constructor Detail

    - #### DirectedAcyclicGraph.Region

          public DirectedAcyclicGraph.Region(int start,
                                     int finish)

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### isIn

          public boolean isIn(int index)

Copyright © 2016. All rights reserved.